For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • POSTOutbound call via twilio
          • POSTRegister call
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceTwilio

Register call

POST
/v1/convai/twilio/register-call
POST
/v1/convai/twilio/register-call
$curl -X POST https://api.elevenlabs.io/v1/convai/twilio/register-call \
> -H "Content-Type: application/json" \
> -d '{
> "agent_id": "string",
> "from_number": "string",
> "to_number": "string"
>}'
1"string"
Register a Twilio call and return TwiML to connect the call
Was this page helpful?
Previous

List WhatsApp accounts

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
agent_idstringRequired
from_numberstringRequired
to_numberstringRequired
directionenumOptionalDefaults to inbound
Allowed values:
conversation_initiation_client_dataobject or nullOptional

Response

Successful Response

Errors

422
Unprocessable Entity Error